* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    font-size: 14px;
}

body {
    overflow : hidden;
    font-family: sans-serif;
    font-size: 14px;
    line-height: 1.42857143;
    color: #333;
    background-color: #fff;
    color: #0f3c4b;
    padding: 0;
}

body.mask:before {
    content: '';
    background: grey;
    opacity: .9;
    height: 100%;
    width: 100%;
    position: absolute;
    overflow: hidden;
    z-index: 3;
}

h2 {
    font-size: 30px;
    font-family: inherit;
    font-weight: 500;
    line-height: 1.1;
    color: inherit;
    margin-bottom: 10px;
}

label {
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
    font-weight: 700;
}

.hidden {
    display: none!important;
}

.container {
    width: 100%;
    max-width: 680px;
    text-align: center;
    margin: 0 auto;
}

.form-group {
    margin-bottom: 5px;
}
body {
    margin: 0;
}

#svg {
    position: absolute;
    height: 100vh;
    margin-left: 0;
    width: 100vw;
    padding: 0;
    background: white;
}

#svg.duration svg {
    transition-duration: 1s;
}

#frame {
    height: 100%;
    overflow: hidden;
}

#content {
    display: flex;
    flex-direction: column;
    margin: .5rem;
    height: calc(100vh - 1rem);
}

#content svg {
    height: 100%;
    min-height: calc(75vh - 1rem);
    width: calc(100vw - 1rem);
}

#fit-page-to-drawing {
    font-size: 5vh;
    margin-left: -7vh;
    margin-top: 0.8vh;
    top: 0;
    bottom: 0;
    position: fixed;
    cursor: pointer;
    width: 5vh;
    height: 6.5vh;
    z-index: 1;
}

#fit-page-to-drawing > div {
    background: white;
    width: 3.8vh;
    height: 3.6vh;
    border: solid .3vh black;
    border-top: solid .6vh black;
}

#real-legend {
    background: white;
    border-bottom: solid 1px lightgrey;
    margin: -.5rem;
    margin-left: 7rem;
    margin-bottom: .5rem;
    padding: .5vh;
    padding-left: 5rem;
    height: 6vh;
    overflow: auto;
    z-index: 1;
}

#real-legend label {
    vertical-align: top;
    position: relative;
    z-index: 1;
}

#real-legend label span,
#indices article.indice > div {
    width: 4vh;
    height: 4vh;
    font-size: 2vh;
    padding: .1vh;
    color: #fff;
    text-align: center;
    vertical-align: middle;
    background-color: #d9534f;
    border: solid .4vh white;
    border-radius: .5vh;
    display: block;
    cursor: pointer;
}

#real-legend label span {
    display: inline-block;
    border-color: black;
    border-radius: 1.1vh;
}

#real-legend label em {
    padding-right: 1rem;
}

#indices {
    position: absolute;
    width: calc(-10px + 100%);
    height: calc(-10px + 100%);
    z-index: 1000;
}

#indice-editor {
    position: absolute;
    bottom: 5px;
}

#indices article {
    position: absolute;
    margin: -1.75vh -2.25vh;
    top: 50%;
    left: 50%;
}

#indices article .indice {
    width: 4vh;
    height: 4vh;
    font-size: 2vh;
    padding: .1vh;
    color: #fff;
    text-align: center;
    vertical-align: middle;
    background-color: #d9534f;
    border: solid .4vh white;
    border-radius: .5vh;
    display: block;
    cursor: pointer;
}

#svg svg {
    width: 100%;
    height: 100%;
}

#svg .mask {
    cursor: auto;
}

#svg .indice text {
    font-size: 14px;
}

#svg .indice .mask {
     fill: transparent;
    cursor: pointer;
}

.container .save {
    display: inline-block;
}

.description {
    z-index: 1;
    width: 35vw;
    margin: 11vh 2vw;
    display: block;
    position: absolute;
    background: white;
    padding: .5rem;
    border-radius: .5rem;
    border: 1px solid rgba(0,0,0,.15);
    -webkit-box-shadow: 0 1rem 2rem rgba(0,0,0,.6);
    box-shadow: 0 1rem 2rem rgba(0,0,0,.6);
}

.description h2 {
    margin-top: 0;
}

.description .indice {
    position: static;
    display: inline-block;
    font-size: 2rem;
    width: 3.8rem;
    height: 3.8rem;
    color: #fff;
    text-align: center;
    vertical-align: middle;
    background-color: #d9534f;
    border: solid .4vh black;
    border-radius: .5rem;
    padding-top: .5rem;
}

#help-button,
#copyright-button {
    position: absolute;
    left: 1rem;
    bottom: 1rem;
    z-index: 2;
    background: lightgrey;
    border: grey solid .2rem;
    border-radius: 1rem;
    font-weight: bold;
    color: grey;
    cursor: pointer;
    width: 2rem;
    font: inherit;
}

#copyright-button {
    right: 1rem;
    left: auto;
}

.dialog {
    background: white;
    position: absolute;
    z-index: 3;
    box-shadow: 1px 1px 12px #555;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: .5rem;
}

.dialog__close {
    position: absolute;
    right: -1.2em;
    top: -1.5em;
    width: 2.2em;
    height: 2.2em;
    cursor: pointer;
    background: white;
    padding: 0.5rem;
    border: solid 0.1rem #555;
    border-radius: 1rem;
    box-shadow: 1px 1px 12px #555;
}

.dialog__close:after, .dialog__close:before {
    content: '';
    position: absolute;
    width: 2px;
    height: 1.5em;
    background: #555;
    display: block;
    transform: rotate(45deg);
    left: 50%;
    margin: .3rem 0 0 -1px;
    top: 0;
}

.dialog__close:before {
    transform: rotate(-45deg);
}

.dialog kbd {
    display: inline-block;
    margin: 0.2rem;
    padding: 0.4rem;
    border: solid 0.1rem #0f3c4b;
    border-radius: 0.1rem;
    border-bottom-color: #0f3c4b;
    font-size: 1rem;
    line-height: 10px;
    vertical-align: middle;
    color: #0f3c4b;
    background-color: lightgrey;
    box-shadow: inset 0 -1px 0 #0f3c4b;
    font-weight: bold;
}

.dialog .help-shortcut {
    margin-top: 3rem;
}

.dialog h2,
.dialog .last-element {
    margin: 0;
}
